import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { TypeNode } from "./TypeNode";
export declare class TSInterfaceHeritage extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSInterfaceHeritage(expr?: TypeNode): TSInterfaceHeritage;
    static updateTSInterfaceHeritage(original?: TSInterfaceHeritage, expr?: TypeNode): TSInterfaceHeritage;
    get expr(): TypeNode | undefined;
    protected readonly brandTSInterfaceHeritage: undefined;
}
export declare function isTSInterfaceHeritage(node: object | undefined): node is TSInterfaceHeritage;
